import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取全部数组
mock.onGet('./assets/json/data-dictionary.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, [
        {
        "srfkey": "SysOperator",
        "emptytext": "未定义",
        "codelisttype":"dynamic",
        "appdataentity":"",
        "appdedataset":"",
        "items": []
    },
    {
        srfkey: 'Account__OwnershipCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '4',
                label: 'Other',
                text: 'Other',
                "data":"",
                "codename":"Item_4",
                value: '4',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'Private',
                text: 'Private',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
            {
                id: '1',
                label: 'Public',
                text: 'Public',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '3',
                label: 'Subsidiary',
                text: 'Subsidiary',
                "data":"",
                "codename":"Item_3",
                value: '3',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'YesNo',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: '是',
                text: '是',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '0',
                label: '否',
                text: '否',
                "data":"",
                "codename":"Item_0",
                value: '0',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Account__Address1_FreightTermsCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: 'FOB',
                text: 'FOB',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'No Charge',
                text: 'No Charge',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Account__IndustryCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: 'Accounting',
                text: 'Accounting',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'Agriculture and Non-petrol Natural Resource Extraction',
                text: 'Agriculture and Non-petrol Natural Resource Extraction',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: 'Broadcasting Printing and Publishing',
                text: 'Broadcasting Printing and Publishing',
                "data":"",
                "codename":"Item_3",
                value: '3',
                
                disabled: false,
            },
            {
                id: '4',
                label: 'Brokers',
                text: 'Brokers',
                "data":"",
                "codename":"Item_4",
                value: '4',
                
                disabled: false,
            },
            {
                id: '5',
                label: 'Building Supply Retail',
                text: 'Building Supply Retail',
                "data":"",
                "codename":"Item_5",
                value: '5',
                
                disabled: false,
            },
            {
                id: '6',
                label: 'Business Services',
                text: 'Business Services',
                "data":"",
                "codename":"Item_6",
                value: '6',
                
                disabled: false,
            },
            {
                id: '7',
                label: 'Consulting',
                text: 'Consulting',
                "data":"",
                "codename":"Item_7",
                value: '7',
                
                disabled: false,
            },
            {
                id: '8',
                label: 'Consumer Services',
                text: 'Consumer Services',
                "data":"",
                "codename":"Item_8",
                value: '8',
                
                disabled: false,
            },
            {
                id: '9',
                label: 'Design, Direction and Creative Management',
                text: 'Design, Direction and Creative Management',
                "data":"",
                "codename":"Item_9",
                value: '9',
                
                disabled: false,
            },
            {
                id: '10',
                label: 'Distributors, Dispatchers and Processors',
                text: 'Distributors, Dispatchers and Processors',
                "data":"",
                "codename":"Item_10",
                value: '10',
                
                disabled: false,
            },
            {
                id: '11',
                label: 'Doctors Offices and Clinics',
                text: 'Doctors Offices and Clinics',
                "data":"",
                "codename":"Item_11",
                value: '11',
                
                disabled: false,
            },
            {
                id: '12',
                label: 'Durable Manufacturing',
                text: 'Durable Manufacturing',
                "data":"",
                "codename":"Item_12",
                value: '12',
                
                disabled: false,
            },
            {
                id: '13',
                label: 'Eating and Drinking Places',
                text: 'Eating and Drinking Places',
                "data":"",
                "codename":"Item_13",
                value: '13',
                
                disabled: false,
            },
            {
                id: '14',
                label: 'Entertainment Retail',
                text: 'Entertainment Retail',
                "data":"",
                "codename":"Item_14",
                value: '14',
                
                disabled: false,
            },
            {
                id: '15',
                label: 'Equipment Rental and Leasing',
                text: 'Equipment Rental and Leasing',
                "data":"",
                "codename":"Item_15",
                value: '15',
                
                disabled: false,
            },
            {
                id: '16',
                label: 'Financial',
                text: 'Financial',
                "data":"",
                "codename":"Item_16",
                value: '16',
                
                disabled: false,
            },
            {
                id: '17',
                label: 'Food and Tobacco Processing',
                text: 'Food and Tobacco Processing',
                "data":"",
                "codename":"Item_17",
                value: '17',
                
                disabled: false,
            },
            {
                id: '18',
                label: 'Inbound Capital Intensive Processing',
                text: 'Inbound Capital Intensive Processing',
                "data":"",
                "codename":"Item_18",
                value: '18',
                
                disabled: false,
            },
            {
                id: '19',
                label: 'Inbound Repair and Services',
                text: 'Inbound Repair and Services',
                "data":"",
                "codename":"Item_19",
                value: '19',
                
                disabled: false,
            },
            {
                id: '20',
                label: 'Insurance',
                text: 'Insurance',
                "data":"",
                "codename":"Item_20",
                value: '20',
                
                disabled: false,
            },
            {
                id: '21',
                label: 'Legal Services',
                text: 'Legal Services',
                "data":"",
                "codename":"Item_21",
                value: '21',
                
                disabled: false,
            },
            {
                id: '22',
                label: 'Non-Durable Merchandise Retail',
                text: 'Non-Durable Merchandise Retail',
                "data":"",
                "codename":"Item_22",
                value: '22',
                
                disabled: false,
            },
            {
                id: '23',
                label: 'Outbound Consumer Service',
                text: 'Outbound Consumer Service',
                "data":"",
                "codename":"Item_23",
                value: '23',
                
                disabled: false,
            },
            {
                id: '24',
                label: 'Petrochemical Extraction and Distribution',
                text: 'Petrochemical Extraction and Distribution',
                "data":"",
                "codename":"Item_24",
                value: '24',
                
                disabled: false,
            },
            {
                id: '25',
                label: 'Service Retail',
                text: 'Service Retail',
                "data":"",
                "codename":"Item_25",
                value: '25',
                
                disabled: false,
            },
            {
                id: '26',
                label: 'SIG Affiliations',
                text: 'SIG Affiliations',
                "data":"",
                "codename":"Item_26",
                value: '26',
                
                disabled: false,
            },
            {
                id: '27',
                label: 'Social Services',
                text: 'Social Services',
                "data":"",
                "codename":"Item_27",
                value: '27',
                
                disabled: false,
            },
            {
                id: '28',
                label: 'Special Outbound Trade Contractors',
                text: 'Special Outbound Trade Contractors',
                "data":"",
                "codename":"Item_28",
                value: '28',
                
                disabled: false,
            },
            {
                id: '29',
                label: 'Specialty Realty',
                text: 'Specialty Realty',
                "data":"",
                "codename":"Item_29",
                value: '29',
                
                disabled: false,
            },
            {
                id: '30',
                label: 'Transportation',
                text: 'Transportation',
                "data":"",
                "codename":"Item_30",
                value: '30',
                
                disabled: false,
            },
            {
                id: '31',
                label: 'Utility Creation and Distribution',
                text: 'Utility Creation and Distribution',
                "data":"",
                "codename":"Item_31",
                value: '31',
                
                disabled: false,
            },
            {
                id: '32',
                label: 'Vehicle Retail',
                text: 'Vehicle Retail',
                "data":"",
                "codename":"Item_32",
                value: '32',
                
                disabled: false,
            },
            {
                id: '33',
                label: 'Wholesale',
                text: 'Wholesale',
                "data":"",
                "codename":"Item_33",
                value: '33',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Account__CustomerTypeCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: 'Competitor',
                text: 'Competitor',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'Consultant',
                text: 'Consultant',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: 'Customer',
                text: 'Customer',
                "data":"",
                "codename":"Item_3",
                value: '3',
                
                disabled: false,
            },
            {
                id: '6',
                label: 'Influencer',
                text: 'Influencer',
                "data":"",
                "codename":"Item_6",
                value: '6',
                
                disabled: false,
            },
            {
                id: '4',
                label: 'Investor',
                text: 'Investor',
                "data":"",
                "codename":"Item_4",
                value: '4',
                
                disabled: false,
            },
            {
                id: '12',
                label: 'Other',
                text: 'Other',
                "data":"",
                "codename":"Item_12",
                value: '12',
                
                disabled: false,
            },
            {
                id: '5',
                label: 'Partner',
                text: 'Partner',
                "data":"",
                "codename":"Item_5",
                value: '5',
                
                disabled: false,
            },
            {
                id: '7',
                label: 'Press',
                text: 'Press',
                "data":"",
                "codename":"Item_7",
                value: '7',
                
                disabled: false,
            },
            {
                id: '8',
                label: 'Prospect',
                text: 'Prospect',
                "data":"",
                "codename":"Item_8",
                value: '8',
                
                disabled: false,
            },
            {
                id: '9',
                label: 'Reseller',
                text: 'Reseller',
                "data":"",
                "codename":"Item_9",
                value: '9',
                
                disabled: false,
            },
            {
                id: '10',
                label: 'Supplier',
                text: 'Supplier',
                "data":"",
                "codename":"Item_10",
                value: '10',
                
                disabled: false,
            },
            {
                id: '11',
                label: 'Vendor',
                text: 'Vendor',
                "data":"",
                "codename":"Item_11",
                value: '11',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Account__Address1_AddressTypeCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: 'Bill To',
                text: 'Bill To',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '4',
                label: 'Other',
                text: 'Other',
                "data":"",
                "codename":"Item_4",
                value: '4',
                
                disabled: false,
            },
            {
                id: '3',
                label: 'Primary',
                text: 'Primary',
                "data":"",
                "codename":"Item_3",
                value: '3',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'Ship To',
                text: 'Ship To',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Account__PreferredContactMethodCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: 'Any',
                text: 'Any',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'Email',
                text: 'Email',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
            {
                id: '4',
                label: 'Fax',
                text: 'Fax',
                "data":"",
                "codename":"Item_4",
                value: '4',
                
                disabled: false,
            },
            {
                id: '5',
                label: 'Mail',
                text: 'Mail',
                "data":"",
                "codename":"Item_5",
                value: '5',
                
                disabled: false,
            },
            {
                id: '3',
                label: 'Phone',
                text: 'Phone',
                "data":"",
                "codename":"Item_3",
                value: '3',
                
                disabled: false,
            },
        ]
    },
    {
        srfkey: 'Account__Address1_ShippingMethodCode',
        emptytext: '未定义',
        "codelisttype":"static",
        items: [
            {
                id: '1',
                label: 'Airborne',
                text: 'Airborne',
                "data":"",
                "codename":"Item_1",
                value: '1',
                
                disabled: false,
            },
            {
                id: '2',
                label: 'DHL',
                text: 'DHL',
                "data":"",
                "codename":"Item_2",
                value: '2',
                
                disabled: false,
            },
            {
                id: '3',
                label: 'FedEx',
                text: 'FedEx',
                "data":"",
                "codename":"Item_3",
                value: '3',
                
                disabled: false,
            },
            {
                id: '6',
                label: 'Full Load',
                text: 'Full Load',
                "data":"",
                "codename":"Item_6",
                value: '6',
                
                disabled: false,
            },
            {
                id: '5',
                label: 'Postal Mail',
                text: 'Postal Mail',
                "data":"",
                "codename":"Item_5",
                value: '5',
                
                disabled: false,
            },
            {
                id: '4',
                label: 'UPS',
                text: 'UPS',
                "data":"",
                "codename":"Item_4",
                value: '4',
                
                disabled: false,
            },
            {
                id: '7',
                label: 'Will Call',
                text: 'Will Call',
                "data":"",
                "codename":"Item_7",
                value: '7',
                
                disabled: false,
            },
        ]
    }
    ]];
});

