import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "invoiceeditview": {
            "title": "invoice编辑视图",
            "caption": "发票",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceEditView",
            "viewtag": "01c28e25ad9d42977cb91ee890731b64"
        },
        "contactgridview": {
            "title": "contact表格视图",
            "caption": "联系人",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ContactGridView",
            "viewtag": "0326a502bb574cddc41da4323786dcb5"
        },
        "incidenteditview": {
            "title": "incident编辑视图",
            "caption": "案例",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentEditView",
            "viewtag": "06c6da1c8093784a9e76e1ccc52231b7"
        },
        "salesordereditview": {
            "title": "salesorder编辑视图",
            "caption": "订单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderEditView",
            "viewtag": "0ff3eacd51054572cf899247b1c57018"
        },
        "quotegridview": {
            "title": "quote表格视图",
            "caption": "报价单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteGridView",
            "viewtag": "14110058a29397ea9ac7d4e86a3994ca"
        },
        "leadgridview": {
            "title": "lead表格视图",
            "caption": "潜在顾客",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadGridView",
            "viewtag": "15d12c1173fcb6e742b6a6d92cbc53ed"
        },
        "accountaccountinfo": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountAccountInfo",
            "viewtag": "1d3b94223a5d3f8ab1d2fe334c8c4afd"
        },
        "ibizlistgridview": {
            "title": "list表格视图",
            "caption": "市场营销列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListGridView",
            "viewtag": "24a93674ec4c976c08902a3e95421ca6"
        },
        "activitypointereditview": {
            "title": "activitypointer编辑视图",
            "caption": "活动",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerEditView",
            "viewtag": "24e222a530526aab94ed4ed22cfedf9a"
        },
        "accountpickupview": {
            "title": "account数据选择视图",
            "caption": "客户",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountPickupView",
            "viewtag": "29bfcd628ab25e297248ff0524d12908"
        },
        "accountsummary": {
            "title": "客户摘要",
            "caption": "客户摘要",
            "viewtype": "DEPORTALVIEW9",
            "viewmodule": "Base",
            "viewname": "AccountSummary",
            "viewtag": "2becf7bda3a6d70cbe9a4e254093e84e"
        },
        "leadeditview": {
            "title": "lead编辑视图",
            "caption": "潜在顾客",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "LeadEditView",
            "viewtag": "2e17cb1d009dd49ac529319ac15319cd"
        },
        "accountinfo": {
            "title": "客户信息",
            "caption": "客户信息",
            "viewtype": "DETABEXPVIEW",
            "viewmodule": "Base",
            "viewname": "AccountInfo",
            "viewtag": "2e9c7792c3a728896ca8902634f71983"
        },
        "salesliteratureeditview": {
            "title": "salesliterature编辑视图",
            "caption": "销售宣传资料",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureEditView",
            "viewtag": "303fcfed216ca770612be2c0a97be789"
        },
        "incidentgridview": {
            "title": "incident表格视图",
            "caption": "案例",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Service",
            "viewname": "IncidentGridView",
            "viewtag": "3a665de6a3970b95fde436c0fea4b1df"
        },
        "activitypointergridview": {
            "title": "activitypointer表格视图",
            "caption": "活动",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "ActivityPointerGridView",
            "viewtag": "45fdc8ee4d1401d2d625e80177395ddc"
        },
        "producteditview": {
            "title": "product编辑视图",
            "caption": "产品",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Product",
            "viewname": "ProductEditView",
            "viewtag": "573c48d02ab5eef37c4cf701be87fcb5"
        },
        "accountgridview": {
            "title": "account表格视图",
            "caption": "客户",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountGridView",
            "viewtag": "5c7e90ccfaeb49b5bd84ae6c17b479e3"
        },
        "opportunitygridview": {
            "title": "opportunity表格视图",
            "caption": "商机",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityGridView",
            "viewtag": "5f8f689d5dccc3db6d2b74a24a8b24ef"
        },
        "goalgridview": {
            "title": "goal表格视图",
            "caption": "目标",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalGridView",
            "viewtag": "631a4276161c551802f3aaf4bd7e607c"
        },
        "accounteditview": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountEditView",
            "viewtag": "6e18ac74e5685439110f9b4e534ee005"
        },
        "accountintroduction": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountIntroduction",
            "viewtag": "73bb9f7e653384ca09f8bbbfd580d892"
        },
        "goaleditview": {
            "title": "goal编辑视图",
            "caption": "目标",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "GoalEditView",
            "viewtag": "7877d7e7e55fe21f48e8382e07579f33"
        },
        "opportunityeditview": {
            "title": "opportunity编辑视图",
            "caption": "商机",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "OpportunityEditView",
            "viewtag": "7bf35293fd1d9db7816755a74c4d575e"
        },
        "central": {
            "title": "企业中心",
            "caption": "企业中心",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "Ungroup",
            "viewname": "Central",
            "viewtag": "8b173077897bf865fe035e56073b763d"
        },
        "pricelevelpickupview": {
            "title": "pricelevel数据选择视图",
            "caption": "价目表",
            "viewtype": "DEPICKUPVIEW",
            "viewmodule": "Product",
            "viewname": "PriceLevelPickupView",
            "viewtag": "8b806fb12589b2fc17d1bb90f4b5422e"
        },
        "salesliteraturegridview": {
            "title": "salesliterature表格视图",
            "caption": "销售宣传资料",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesLiteratureGridView",
            "viewtag": "90b48a107932f432e0dde42791a51887"
        },
        "accountaddress": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountAddress",
            "viewtag": "916febbb65be1c54dd42ccb9914fe973"
        },
        "contacteditview": {
            "title": "contact编辑视图",
            "caption": "联系人",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "ContactEditView",
            "viewtag": "9a96ebf2e57358b3590b9d4479edb77a"
        },
        "ibizlisteditview": {
            "title": "list编辑视图",
            "caption": "市场营销列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Marketing",
            "viewname": "IBizListEditView",
            "viewtag": "a62e766e54ec0b259071463523c98493"
        },
        "quoteeditview": {
            "title": "quote编辑视图",
            "caption": "报价单",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "QuoteEditView",
            "viewtag": "ad6abf83dc1bc466b988194cd868d98a"
        },
        "productgridview": {
            "title": "product表格视图",
            "caption": "产品",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "ProductGridView",
            "viewtag": "b38bc0256ecd5be1a58a3c2210a98d05"
        },
        "accountdistribution": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountDistribution",
            "viewtag": "c607e5bc2c07ab2aca084e275ce677b7"
        },
        "competitorgridview": {
            "title": "competitor表格视图",
            "caption": "竞争对手",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorGridView",
            "viewtag": "d1c35f3c52010e1428d7dc1a6bc82f63"
        },
        "pricelevelpickupgridview": {
            "title": "pricelevel选择表格视图",
            "caption": "价目表",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Product",
            "viewname": "PriceLevelPickupGridView",
            "viewtag": "dd10cba0f2ded085120f7dc8eccc7c10"
        },
        "salesordergridview": {
            "title": "salesorder表格视图",
            "caption": "订单",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Sales",
            "viewname": "SalesOrderGridView",
            "viewtag": "dfc0051ae4813115e03f3d095f8cd7d3"
        },
        "invoicegridview": {
            "title": "invoice表格视图",
            "caption": "发票",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "Finance",
            "viewname": "InvoiceGridView",
            "viewtag": "e0aef8c0d1f1ae28f628a0541b118961"
        },
        "accountcontactsetting": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountContactSetting",
            "viewtag": "e38e7b53a449e0f112cb545d2c5d4b85"
        },
        "contactoptionview": {
            "title": "联系人选项操作视图",
            "caption": "联系人",
            "viewtype": "DEOPTVIEW",
            "viewmodule": "Base",
            "viewname": "ContactOptionView",
            "viewtag": "e404dc93e70d6284d4e1a083017625ed"
        },
        "accountpickupgridview": {
            "title": "account选择表格视图",
            "caption": "客户",
            "viewtype": "DEPICKUPGRIDVIEW",
            "viewmodule": "Base",
            "viewname": "AccountPickupGridView",
            "viewtag": "ef9fea872a6a21e7566033fafcc0ccb5"
        },
        "accountmajorcontact": {
            "title": "account编辑视图",
            "caption": "客户",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Base",
            "viewname": "AccountMajorContact",
            "viewtag": "fb06f2c1cea1ac2a5a70c20f4a277ae5"
        },
        "competitoreditview": {
            "title": "competitor编辑视图",
            "caption": "竞争对手",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "Sales",
            "viewname": "CompetitorEditView",
            "viewtag": "fc2117de593df9cc982bd802cbdb2154"
        }
    }];
});