/**
 * Address 部件模型
 *
 * @export
 * @class AddressModel
 */
export default class AddressModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof AddressModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'accountid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'accountname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'address1_addressid',
        prop: 'address1_addressid',
        dataType: 'TEXT',
      },
      {
        name: 'address1_addresstypecode',
        prop: 'address1_addresstypecode',
        dataType: 'SSCODELIST',
      },
      {
        name: 'address1_city',
        prop: 'address1_city',
        dataType: 'TEXT',
      },
      {
        name: 'address1_composite',
        prop: 'address1_composite',
        dataType: 'TEXT',
      },
      {
        name: 'address1_country',
        prop: 'address1_country',
        dataType: 'TEXT',
      },
      {
        name: 'address1_county',
        prop: 'address1_county',
        dataType: 'TEXT',
      },
      {
        name: 'address1_fax',
        prop: 'address1_fax',
        dataType: 'TEXT',
      },
      {
        name: 'address1_freighttermscode',
        prop: 'address1_freighttermscode',
        dataType: 'SSCODELIST',
      },
      {
        name: 'address1_latitude',
        prop: 'address1_latitude',
        dataType: 'DECIMAL',
      },
      {
        name: 'address1_line1',
        prop: 'address1_line1',
        dataType: 'TEXT',
      },
      {
        name: 'address1_line2',
        prop: 'address1_line2',
        dataType: 'TEXT',
      },
      {
        name: 'address1_line3',
        prop: 'address1_line3',
        dataType: 'TEXT',
      },
      {
        name: 'address1_longitude',
        prop: 'address1_longitude',
        dataType: 'DECIMAL',
      },
      {
        name: 'address1_name',
        prop: 'address1_name',
        dataType: 'TEXT',
      },
      {
        name: 'address1_postalcode',
        prop: 'address1_postalcode',
        dataType: 'TEXT',
      },
      {
        name: 'address1_postofficebox',
        prop: 'address1_postofficebox',
        dataType: 'TEXT',
      },
      {
        name: 'address1_primarycontactname',
        prop: 'address1_primarycontactname',
        dataType: 'TEXT',
      },
      {
        name: 'address1_shippingmethodcode',
        prop: 'address1_shippingmethodcode',
        dataType: 'SSCODELIST',
      },
      {
        name: 'address1_stateorprovince',
        prop: 'address1_stateorprovince',
        dataType: 'TEXT',
      },
      {
        name: 'address1_telephone2',
        prop: 'address1_telephone2',
        dataType: 'TEXT',
      },
      {
        name: 'address1_telephone3',
        prop: 'address1_telephone3',
        dataType: 'TEXT',
      },
      {
        name: 'address1_upszone',
        prop: 'address1_upszone',
        dataType: 'TEXT',
      },
      {
        name: 'address1_utcoffset',
        prop: 'address1_utcoffset',
        dataType: 'INT',
      },
      {
        name: 'accountid',
        prop: 'accountid',
        dataType: 'GUID',
      },
      {
        name: 'account',
        prop: 'accountid',
        dataType: 'FONTKEY',
      },
    ]
  }

}